<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2010 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.android.apps.tag"
    android:versionCode="101"
    android:versionName="1.1"
>

    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.NFC" />
    <uses-permission android:name="android.permission.READ_CONTACTS"/>
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <uses-feature android:name="android.hardware.nfc" required="true" />

    <application
        android:icon="@drawable/ic_launcher_nfc"
        android:label="@string/app_name"
    >
        <activity android:name="TagViewer"
            android:label="@string/title_scanned_tag"
            android:launchMode="singleTop"
            android:priority="-10"
            android:permission="android.permission.NFC"
        >
            <!-- Offer to display anything with NDEF data -->
            <intent-filter>
                <action android:name="android.nfc.action.TECH_DISCOVERED"/>
            </intent-filter>

            <meta-data android:name="android.nfc.action.TECH_DISCOVERED"
                android:resource="@xml/filter_nfc"
            />

            <intent-filter>
                <action android:name="android.intent.action.VIEW"/>
                <data android:mimeType="vnd.android.cursor.item/ndef_msg"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <!-- Declare file provider to convert file:/// to content:// for file preview -->
        <provider
            android:name="android.support.v4.content.FileProvider"
            android:authorities="com.android.apps.tag.provider"
            android:exported="false"
            android:grantUriPermissions="true">
          <meta-data
              android:name="android.support.FILE_PROVIDER_PATHS"
              android:resource="@xml/provider_paths"/>
        </provider>
    </application>
</manifest>
